import type { Entity } from 'koota';
import type { Relationship } from '../metadata';
export declare const provideRelationships: () => {
    apply(entity: Entity, relationships: Relationship[] | undefined): void;
    flush(targetUuid: string): void;
    clear(): void;
};
export declare const useRelationships: () => {
    apply(entity: Entity, relationships: Relationship[] | undefined): void;
    flush(targetUuid: string): void;
    clear(): void;
};
